## org.apache.lucene.benchmark.stats
Class TestRunData

    java.lang.Object
      org.apache.lucene.benchmark.stats.TestRunData

    public class TestRunData

extends Object

This class holds series of TimeData related to a single test run. TimeData values may contribute to different measurements, so this class provides also some useful methods to separate them.

Author:
  Andrzej Bialecki <ab@getopt.org>

Constructor Summary
`TestRunData()`
`TestRunData(String id)`

Method Summary
`void` `addData(TimeData td)` Add a data point.
`void` `endRun()` Mark the ending time of this test run.
`LinkedHashMap` `getData()`
`long` `getEnd()`
`String` `getId()`
`Collection` `getLabels()` Get a list of all available types of data points.
`MemUsage` `getMemUsage(String label)` Get memory usage stats for a given data type.
`long` `getStart()`
`Vector` `getTotals()` Get total values from all data points of all types.
`TimeData` `getTotals(String label)` Get total values from all data points of a given type.
`void` `setId(String id)`
`void` `startRun()` Mark the starting time of this test run.
`String` `toString()` Return a string representation.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TestRunData

    public TestRunData()

### TestRunData

    public TestRunData(String id)

Method Detail

### getData

    public LinkedHashMap getData()

### getId

    public String getId()

### setId

    public void setId(String id)

### getEnd

    public long getEnd()

### getStart

    public long getStart()

### startRun

    public void startRun()

  Mark the starting time of this test run.

### endRun

    public void endRun()

  Mark the ending time of this test run.

### addData

    public void addData(TimeData td)

  Add a data point.

### getLabels

    public Collection getLabels()

  Get a list of all available types of data points.

### getTotals

    public TimeData getTotals(String label)

  Get total values from all data points of a given type.

### getTotals

    public Vector getTotals()

  Get total values from all data points of all types.

  Returns:
    a list of TimeData values for all types.

### getMemUsage

    public MemUsage getMemUsage(String label)

  Get memory usage stats for a given data type.

### toString

    public String toString()

  Return a string representation.

  Overrides:
    `toString` in class `Object`

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.